Loading...
Searching...
No Matches
file.c File Reference

Fonction de files. More...

`#include "specification1.h"`

## Functions

FileAttente | initialiserFileAttente ()
| Initialiser la file d'attente. More...
bool | estVide (FileAttente *file)
| Vérifie si la file est vide. More...
void | enfiler (FileAttente *file, Tache *tache)
| Ajoute un élément à la file. More...
Tache * | tete (FileAttente *file)
| Retourne la tête de la file. More...
void | defiler (FileAttente *file)
| Retire un élément de la file. More...
int | longueur (FileAttente *file)
| Retourne la longueur de la file. More...
void | afficherFile (FileAttente *file)
| Affiche la file. More...
void | detruireFile (FileAttente *file)
| Détruit la file. More...

## Detailed Description

Fonction de files.

Authors
  LAVERGNE Rémi ; DELINAC Inès ; RAYNAUD Camille

Date
  12 janvier 2024

## Function Documentation

## afficherFile()

void afficherFile | ( | FileAttente * | file | ) |

Affiche la file.

Parameters

  [in] | *file | File d'attente

## defiler()

void defiler | ( | FileAttente * | file | ) |

Retire un élément de la file.

Parameters

  [in,out] | *file | File d'attente

## detruireFile()

void detruireFile | ( | FileAttente * | file | ) |

Détruit la file.

Parameters

  [in,out] | *file | File d'attente

## enfiler()

void enfiler | ( | FileAttente * | file,
|  | Tache * | tache
| ) |  |

Ajoute un élément à la file.

Parameters

  [in,out] | *file | File d'attente
  [in] | *tache | Tache à ajouter

## estVide()

bool estVide | ( | FileAttente * | file | ) |

Vérifie si la file est vide.

Parameters

  [in] | *file | File d'attente

Returns
  bool Retourne un booléen

## initialiserFileAttente()

FileAttente initialiserFileAttente | ( |  | ) |

Initialiser la file d'attente.

Returns
  nouvelleFile Retourne une nouvelle file

## longueur()

int longueur | ( | FileAttente * | file | ) |

Retourne la longueur de la file.

Parameters

  [in] | *file | File d'attente

Returns
  longueur Retourne la longueur de la file

## tete()

Tache * tete | ( | FileAttente * | file | ) |

Retourne la tête de la file.

Parameters

  [in] | *file | File d'attente

Returns
  *tache Retourne la tache en tête de file